import React from 'react';
import { TextInputProps } from '@highlight-ui/input';
import { noop } from '@highlight-ui/utils-commons';
export declare type SearchInputProps = TextInputProps & {
    /** callback to clear text from input  */
    onClearAll?: typeof noop;
};
declare const SearchInput: React.ForwardRefExoticComponent<Omit<import("@highlight-ui/input").InputContainerProps, "children" | "onOutlineClick"> & Omit<Pick<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof React.InputHTMLAttributes<HTMLInputElement>>, "prefix"> & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    /** callback to clear text from input  */
    onClearAll?: (() => void) | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export default SearchInput;
